# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

inherit cvs

ECVS_SERVER="cvs.sourceforge.net:/cvsroot/amsn"
ECVS_MODULE="msn"
ECVS_TOP_DIR="${DISTDIR}/cvs-src/${PN}"
S="${WORKDIR}/${ECVS_MODULE}"

DESCRIPTION="Alvaro's Messenger client for MSN"
HOMEPAGE="http://amsn.sourceforge.net"

IUSE="gnome kde imlib xmms"

SLOT="0"
LICENSE="GPL-2"
KEYWORDS="x86 ~alpha ~sparc ~ppc hppa ~amd64"


DEPEND=">=dev-lang/tcl-8.3
	>=dev-lang/tk-8.3
	imlib? ( media-libs/imlib )
	!net-im/amsn"

RDEPEND="${DEPEND}
	dev-tcltk/tls
	media-gfx/imagemagick
	xmms? ( media-plugins/xmms-infopipe )"


src_compile() {
        cd ${S}

	if use imlib 
	then
	einfo "Compiling Traydock and Webcam for MSN"
	cd ${S}
	econf || die
        emake || die
	fi
}

src_install() {
	dodir /usr/share/amsn/
	cp -a ${S}/* ${D}/usr/share/amsn

	if use gnome
	then
		dodir /usr/share/applications
		cp ${D}/usr/share/amsn/amsn.desktop ${D}/usr/share/applications
		einfo "Installing GNOME Icons in /usr/share/pixmaps"
		dodir /usr/share/pixmaps
		cp -a ${S}/icons/32x32/* ${D}/usr/share/pixmaps/
	fi


	if use kde
	then
		dodir /usr/share/applnk/Internet
		cp ${D}/usr/share/amsn/amsn.desktop ${D}/usr/share/applnk/Internet/
		einfo "Installing KDE Icons in default theme"
		dodir /usr/share/pixmaps
		cp -a ${S}/icons/32x32/* ${D}/usr/share/pixmaps/
	fi

	if use imlib
	then
		einfo "Installing the freedesktop notification plugin"
	else
                rm -rf ${D}/usr/share/amsn/plugins/traydock
        fi
		

	dodir /usr/bin/
	ln -s /usr/share/amsn/amsn ${D}/usr/bin/amsn

	cd ${D}/usr/share/amsn
	dodoc TODO README FAQ CREDITS HELP
	rm -f TODO
}
pkg_postinst() {
	if use xmms
	then
		einfo "For XMMS use in amsn, make sure the xmms-infopipe plugin is enabled."
	fi
}
